<?php

// Add the administrator field
if (self::$db_alter->fetch_table_info('dbtech_vbmail_keyword'))
{
	self::$db_alter->drop_field('bitfield');
	self::report('Altered Table', 'dbtech_vbmail_keyword');
}

if (self::$db_alter->fetch_table_info('dbtech_vbmail_mail'))
{
	self::$db_alter->drop_field('keywords');	
	self::$db_alter->add_field(array(
		'name'       => 'keywords',
		'type'       => 'mediumtext',
		'null'       => true,	// True = NULL, false = NOT NULL
		'default'    => NULL
	));
	self::report('Altered Table', 'dbtech_vbmail_mail');
}

if (self::$db_alter->fetch_table_info('dbtech_vbmail_mailinglist'))
{
	self::$db_alter->drop_field('bitfield');
	self::report('Altered Table', 'dbtech_vbmail_mailinglist');
}

if (self::$db_alter->fetch_table_info('dbtech_vbmail_template'))
{
	self::$db_alter->drop_field('keywords');	
	self::$db_alter->add_field(array(
		'name'       => 'keywords',
		'type'       => 'mediumtext',
		'null'       => true,	// True = NULL, false = NOT NULL
		'default'    => NULL
	));
	self::report('Altered Table', 'dbtech_vbmail_template');
}

?>